# xmlRelaxNG

Create a XML Relax NG object

## Calling Sequence

                schema = xmlRelaxNG(path)

## Arguments

path

  a string giving the path of the validation file

dtd

  a mlist typed XMLValid

## Description

Useful to validate a document with a Relax NG.

## Examples

        doc = xmlRead("SCI/modules/xml/tests/unit_tests/library.xml");
        rng = xmlRelaxNG("SCI/modules/xml/tests/unit_tests/library.rng");

        // We test if the document is valid
        // If no error the file is valid

        xmlValidate(doc, rng);

        xmlDelete(doc, rng);

## See Also

- xmlValidate

## History

5.4.0
XML module introduced.